<!--<br>
<h3> TRÁMITE: CERTIFICACIÓN DE JURISDICCIÓN</h3>

<div class="carded">-->
<mat-stepper [linear]="isLinear" #stepper>
    <mat-step [stepControl]="firstFormGroup" label="Ubique el Edificio">
        <form [formGroup]="FormGroupBusqueda">
            <!--<ng-template matStepLabel>Ubique el lugar para certificar</ng-template>-->
            <mat-drawer-container class="example-container" autosize>
                <mat-drawer id="drawer" #drawer position="end" mode="side">
                    <div class="d-flex flex-column px-3">
                        <div class="d-flex justify-content-end">
                            <button (click)="drawer.toggle()" mat-icon-button>
                                <mat-icon>arrow_forward</mat-icon>
                            </button>
                        </div>
                        <div class="my-2">
                            <b>Buscar</b>
                        </div>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Distrito</mat-label>
                            <input formControlName="busdm" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>UV</mat-label>
                            <input formControlName="busuv" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Manzana</mat-label>
                            <input formControlName="busmz" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Lote</mat-label>
                            <input formControlName="buslt" matInput />
                        </mat-form-field>
                        <div class="d-flex justify-content-between">
                            <button mat-button class="boton-buscar" (click)="buscarGeografico()">Buscar</button>
                            <button mat-button class="boton-limpiar" (click)="limpiarGeografico()">Limpiar</button>
                        </div>
                    </div>
                    <div class="d-flex flex-column px-3">
                        <div class="my-2">
                            <b>Buscar por coordenadas</b>
                        </div>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>X</mat-label>
                            <input formControlName="busx" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Y</mat-label>
                            <input formControlName="busy" matInput />
                        </mat-form-field>
                        <div class="d-flex justify-content-between">
                            <button mat-button class="boton-buscar" (click)="buscarCoordenada()">Buscar</button>
                            <button mat-button class="boton-limpiar" (click)="limpiarCoordenada()">Limpiar</button>
                        </div>
                    </div>
                </mat-drawer>
                <div id="map" name="map" style="height: 430px" leaflet (leafletMapReady)="onMapReady($event)" (leafletClick)="agregarMarcadorEdificio($event)" [leafletOptions]="options"></div>
            </mat-drawer-container>
            <button (click)="drawer.toggle()" id="sidebar" class="d-none"></button>

            <div>
                <br />
                <div class="w-100 d-flex">
                    <button mat-button matStepperNext class="ml-auto" style="margin-left: auto">
                  Siguiente
                </button>
                </div>
            </div>
        </form>
    </mat-step>
    <mat-step [stepControl]="secondFormGroup" label="Datos de la Planta ">
        <div class="mt-4 rounded border border-2 w-100 p-4 mt-4">
            <form [formGroup]="miFormulario_Construccion">
                <div class="row">
                    <div class="col-md-3">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Edificio</mat-label>
                            <input matInput />
                        </mat-form-field>
                    </div>
                    <div class="col-md-3">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Superficie según mesura</mat-label>
                            <input matInput />
                        </mat-form-field>
                    </div>

                    <div class="col-md-3">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Planta</mat-label>
                            <mat-select formControlName="ctrPlanta" (selectionChange)="onPlantaChange()">
                                <mat-option *ngFor="let planta of plantas" value="{{planta.nro}}">{{planta.nombre}}</mat-option>                              
                            </mat-select>
                        </mat-form-field>
                    </div>

                    <div class="col-md-3">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Unidad</mat-label>
                            <mat-select formControlName="ctrUnidad" >
                                <mat-option *ngFor="let unidad of unidades" value="{{unidad.nro}}">{{unidad.nombre}}</mat-option>                              
                            </mat-select>
                        </mat-form-field>
                    </div>
                  
                    
                </div>

                <!--Actividades-->
                <div class="row mb-3">
                    <div class="col">
                        
                        <!-- <label class="form-label">UNIDAD:</label>
                  <select class="form-control" formControlName="actividad">
                    <option value="">-- SELECCIONE UNIDAD --</option>
                    <option value="saab">ESTACIONAMIENTO 1</option>
                    <option value="saab">ESTACIONAMIENTO 2</option>
                    <option value="saab">ESTACIONAMIENTO 3</option>
                    <option value="mercedes">DEPARTAMENTO 1</option>
                    <option value="mercedes">DEPARTAMENTO 2</option>
                    <option value="mercedes">DEPARTAMENTO 3</option>
                  </select> -->
                        <!--<option *ngFor="let actividad  of actividades" [value] ="actividad.idactividad"> {{actividad.nombre}}</option>-->
                    </div>
                </div>

                <div class="w-100 d-flex justify-content-between">
                    <button mat-button matStepperPrevious>Anterior</button>
                    <button mat-button matStepperNext>Siguiente</button>
                </div>
            </form>
        </div>
    </mat-step>

    <mat-step>
        <ng-template matStepLabel>Pago del trámite</ng-template>

        <div class="d-flex justify-content-center w-100">
            <div class="d-flex align-items-center w-75 flex-column justify-content-center">
                <div class="w-40 more-rounded verde">
                    <div class="w-100 d-flex justify-content-center align-items-center flex-column p-5">
                        <div class="my-3 pb-3 text-xl"><img class="w-100" src="./assets/QR/lgamscr.png" alt="" /></div>
                        <img class="w-100" src="https://upload.wikimedia.org/wikipedia/commons/d/d7/Commons_QR_code.png" alt="" />
                    </div>
                    <div class="w-100 py-5 px-3 text-center font-bold azul-front gris text-xl">
                        Escanea. Paga. Y listo.
                    </div>
                </div>
                <div class="w-50 gris">&nbsp;</div>
            </div>
        </div>

        <!-- <div class="card-header">
            <div class="card border-white text-white bg-white"></div>
            <img
              class="mx-auto d-block"
              src="./assets/QR/qr_img.png"
              alt="Card image cap"
            />
            <div class="card-body"></div>
            <div class="card-footer">
              <div class="container-fluid h-100">
                <div class="row w-100">
                  <div class="col text-center">
                    <button class="btn btn-primary center-block">Pagar</button>
                  </div>
                </div>
              </div>
            </div>
          </div> -->

        <div class="d-flex justify-content-between">
            <button mat-button matStepperPrevious>Back</button>
            <button mat-button (click)="stepper.reset()">Reset</button>
        </div>
    </mat-step>
</mat-stepper>

<!--</div>-->